GDB (xrefs)

Macros | Typedefs | Functions
/tmp/gdb-8.1/gdb/gregset.h File Reference
`#include <sys/procfs.h>`

Go to the source code of this file.

## Macros
#define | GDB_GREGSET_T gregset_t
#define | GDB_FPREGSET_T fpregset_t

## Typedefs
typedef GDB_GREGSET_T | gdb_gregset_t
typedef GDB_FPREGSET_T | gdb_fpregset_t

## Functions
void | supply_gregset (struct regcache *regcache, const gdb_gregset_t *gregs)
void | supply_fpregset (struct regcache *regcache, const gdb_fpregset_t *fpregs)
void | fill_gregset (const struct regcache *regcache, gdb_gregset_t *gregs, int regno)
void | fill_fpregset (const struct regcache *regcache, gdb_fpregset_t *fpregs, int regno)

## Macro Definition Documentation

## ◆ GDB_FPREGSET_T

#define GDB_FPREGSET_T fpregset_t

Definition at line 31 of file gregset.h.

## ◆ GDB_GREGSET_T

#define GDB_GREGSET_T gregset_t

Definition at line 27 of file gregset.h.

## Typedef Documentation

## ◆ gdb_fpregset_t

typedef GDB_FPREGSET_T gdb_fpregset_t

Definition at line 35 of file gregset.h.

## ◆ gdb_gregset_t

typedef GDB_GREGSET_T gdb_gregset_t

Definition at line 34 of file gregset.h.

## Function Documentation

## ◆ fill_fpregset()

void fill_fpregset | ( | const struct regcache * | regcache,
|  | gdb_fpregset_t * | fpregs,
|  | int | regno
| ) |  |

Definition at line 410 of file aarch64-linux-nat.c.

References aarch64_linux_fpregset, AARCH64_LINUX_SIZEOF_FPREGSET, alpha_fill_fp_regs(), regcache::arch(), arm_linux_collect_nwfpe(), HPPA_FP0_REGNUM, mips64_fill_fpregset(), mips_fill_fpregset(), mips_isa_regsize(), ppc_collect_fpregset(), ppc_fbsd_fpregset(), ppc_linux_fpregset(), regcache_collect_regset(), regcache_raw_collect(), regnum, sparc32_collect_fpregset(), sparc64_bsd_fpregmap, sparc64_collect_fpregset(), sparc_collect_fpregset, and sparc_sol2_fpregmap.

Referenced by ppcfbsd_store_inferior_registers(), procfs_do_thread_registers(), procfs_store_registers(), ps_lgetfpregs(), sol_thread_store_registers(), and store_all_fp_regs().

## ◆ fill_gregset()

void fill_gregset | ( | const struct regcache * | regcache,
|  | gdb_gregset_t * | gregs,
|  | int | regno
| ) |  |

Definition at line 386 of file aarch64-linux-nat.c.

References gdbarch_tdep::a0_base, aarch64_linux_gregset, AARCH64_LINUX_SIZEOF_GREGSET, alpha_fill_int_regs(), xtensa_elf_gregset_t::ar, gdbarch_tdep::ar_base, regcache::arch(), arm_linux_collect_gregset(), C0_NREGS, gdbarch_pc_regnum(), gdbarch_ps_regnum(), gdbarch_tdep(), greg_map, xtensa_elf_gregset_t::lbeg, xtensa_elf_gregset_t::lcount, xtensa_elf_gregset_t::lend, memset(), mips64_fill_gregset(), mips_fill_gregset(), mips_isa_regsize(), gdbarch_tdep::num_aregs, xtensa_elf_gregset_t::pc, ppc_collect_gregset(), ppc_fbsd_gregset(), ppc_linux_gregset(), xtensa_elf_gregset_t::ps, regcache_collect_regset(), regcache_raw_collect(), regnum, xtensa_elf_gregset_t::sar, sparc32_collect_gregset(), sparc64_collect_gregset(), sparc_collect_gregset, sparc_sol2_gregmap, xtensa_elf_gregset_t::threadptr, xtensa_elf_gregset_t::windowbase, and xtensa_elf_gregset_t::windowstart.

Referenced by ppcfbsd_store_inferior_registers(), procfs_do_thread_registers(), procfs_make_note_section(), procfs_store_registers(), ps_lgetregs(), sol_thread_store_registers(), store_all_gp_regs(), and store_gregs().

## ◆ supply_fpregset()

void supply_fpregset | ( | struct regcache * | regcache,
|  | const gdb_fpregset_t * | fpregs
| ) |  |

Definition at line 422 of file aarch64-linux-nat.c.

References aarch64_linux_fpregset, AARCH64_LINUX_SIZEOF_FPREGSET, alpha_supply_fp_regs(), regcache::arch(), arm_linux_supply_nwfpe(), HPPA_FP0_REGNUM, mips64_supply_fpregset(), mips_isa_regsize(), mips_supply_fpregset(), ppc_fbsd_fpregset(), ppc_linux_fpregset(), ppc_supply_fpregset(), regcache_raw_supply(), regcache_supply_regset(), sparc32_supply_fpregset(), sparc64_bsd_fpregmap, sparc64_supply_fpregset(), sparc_sol2_fpregmap, and sparc_supply_fpregset.

Referenced by fetch_all_fp_regs(), procfs_fetch_registers(), ps_lsetfpregs(), and sol_thread_fetch_registers().

## ◆ supply_gregset()

void supply_gregset | ( | struct regcache * | regcache,
|  | const gdb_gregset_t * | gregs
| ) |  |

Definition at line 398 of file aarch64-linux-nat.c.

References aarch64_linux_gregset, AARCH64_LINUX_SIZEOF_GREGSET, alpha_supply_int_regs(), regcache::arch(), arm_linux_supply_gregset(), greg_map, mips64_supply_gregset(), mips_isa_regsize(), mips_supply_gregset(), ppc_fbsd_gregset(), ppc_linux_gregset(), ppc_supply_gregset(), regcache_raw_supply(), regcache_supply_regset(), sparc32_supply_gregset(), sparc64_supply_gregset(), sparc_sol2_gregmap, sparc_supply_gregset, and supply_gregset_reg().

Referenced by fetch_all_gp_regs(), ppcfbsd_fetch_inferior_registers(), procfs_fetch_registers(), ps_lsetregs(), and sol_thread_fetch_registers().